Skip to main content
PATCH
/
v1
/
table
/
{table_uuid}
Rename a table
curl --request PATCH \
  --url https://api.databar.ai/v1/table/{table_uuid} \
  --header 'Content-Type: application/json' \
  --header 'x-apikey: <x-apikey>' \
  --data '
{
  "name": "<string>"
}
'
{
  "identifier": "<string>",
  "name": "<string>",
  "created_at": "<string>",
  "updated_at": "<string>",
  "table_url": "<string>",
  "workspace_identifier": "<string>"
}

Headers

x-apikey
string
required

API Key for authentication

Path Parameters

table_uuid
string<uuid>
required

The UUID of the table

Body

application/json
name
string
required

New table name.

Response

Successful Response

identifier
string
required
name
string
required
created_at
string
required
updated_at
string
required
table_url
string
required
workspace_identifier
string | null